<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:56 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Adv2Player (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Adv2Player (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Adv2Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/player/Adv1Player.html" title="class in towerwarspp.player"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/Adv2Player.html" target="_top">Frames</a></li>
<li><a href="Adv2Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.player</div>
<h2 title="Class Adv2Player" class="title">Class Adv2Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">towerwarspp.player.BasePlayer</a></li>
<li>
<ul class="inheritance">
<li>towerwarspp.player.Adv2Player</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.rmi.Remote, <a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Adv2Player</span>
extends <a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></pre>
<div class="block">Advanced AI enemy that uses a threading enabled implementation of the Monte Carlo tree search algorithm to decide
 on his move after the specified amount of time. See <a href="../../towerwarspp/player/mcts/Mcts.html" title="class in towerwarspp.player.mcts"><code>Mcts</code></a> for an explanation of the algorithm employed.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Robin Hundt</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.Thread</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#ai">ai</a></span></code>
<div class="block">Thread that the <a href="../../towerwarspp/player/Adv2Player.html#mcts"><code>mcts</code></a> Runnable is executed in.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#debug">debug</a></span></code>
<div class="block">Debug object to send debug messages.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#DEF_PARALLELIZATION">DEF_PARALLELIZATION</a></span></code>
<div class="block">Default parallelization value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#DEF_TIME_PER_MOVE">DEF_TIME_PER_MOVE</a></span></code>
<div class="block">Default time in milliseconds the AI Player will decide on his move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../towerwarspp/player/mcts/Mcts.html" title="class in towerwarspp.player.mcts">Mcts</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#mcts">mcts</a></span></code>
<div class="block">Core piece of this player.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.towerwarspp.player.BasePlayer">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;towerwarspp.player.<a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></h3>
<code><a href="../../towerwarspp/player/BasePlayer.html#board">board</a>, <a href="../../towerwarspp/player/BasePlayer.html#color">color</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#Adv2Player-long-int-towerwarspp.player.mcts.TreeSelectionStrategy-towerwarspp.player.PlayStrategy-boolean-double-">Adv2Player</a></span>(long&nbsp;timePerMove,
          int&nbsp;parallelizationFactor,
          <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;selectionStrategy,
          <a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy,
          boolean&nbsp;fairPlay,
          double&nbsp;bias)</code>
<div class="block">Creates a new Adv2Player object with the specified parameters.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) <a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#deliverMove--">deliverMove</a></span>()</code>
<div class="block">Returns after the at Player construction specified time per move the best move found so far depending on the set
 <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#init-int-towerwarspp.preset.PlayerColor-">init</a></span>(int&nbsp;boardSize,
    <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;playerColor)</code>
<div class="block">Initializes this Player by first calling <a href="../../towerwarspp/player/BasePlayer.html#init-int-towerwarspp.preset.PlayerColor-"><code>BasePlayer.init(int, PlayerColor)</code></a> then <a href="../../towerwarspp/player/mcts/Mcts.html#setInit-towerwarspp.board.Board-"><code>Mcts.setInit(Board)</code></a> to
 notify Mcts algorithm about new game state.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../towerwarspp/player/Adv2Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></span>(<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
      <a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)</code>
<div class="block">Calls <a href="../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>BasePlayer.update(Move, Status)</code></a> and then <a href="../../towerwarspp/player/mcts/Mcts.html#feedEnemyMove-towerwarspp.preset.Move-"><code>Mcts.feedEnemyMove(Move)</code></a> to update the state of the search
 tree.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.towerwarspp.player.BasePlayer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;towerwarspp.player.<a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></h3>
<code><a href="../../towerwarspp/player/BasePlayer.html#confirm-towerwarspp.preset.Status-">confirm</a>, <a href="../../towerwarspp/player/BasePlayer.html#getColor--">getColor</a>, <a href="../../towerwarspp/player/BasePlayer.html#getViewer--">getViewer</a>, <a href="../../towerwarspp/player/BasePlayer.html#request--">request</a>, <a href="../../towerwarspp/player/BasePlayer.html#setBoard-towerwarspp.board.Board-">setBoard</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEF_PARALLELIZATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEF_PARALLELIZATION</h4>
<pre>public static final&nbsp;int DEF_PARALLELIZATION</pre>
<div class="block">Default parallelization value. The number of Threads the ai will use at most.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.player.Adv2Player.DEF_PARALLELIZATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEF_TIME_PER_MOVE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEF_TIME_PER_MOVE</h4>
<pre>public static final&nbsp;long DEF_TIME_PER_MOVE</pre>
<div class="block">Default time in milliseconds the AI Player will decide on his move.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../constant-values.html#towerwarspp.player.Adv2Player.DEF_TIME_PER_MOVE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="debug">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>private final&nbsp;<a href="../../towerwarspp/util/debug/Debug.html" title="class in towerwarspp.util.debug">Debug</a> debug</pre>
<div class="block">Debug object to send debug messages.</div>
</li>
</ul>
<a name="mcts">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mcts</h4>
<pre>private final&nbsp;<a href="../../towerwarspp/player/mcts/Mcts.html" title="class in towerwarspp.player.mcts">Mcts</a> mcts</pre>
<div class="block">Core piece of this player. This reference to the implementation of the Monte</div>
</li>
</ul>
<a name="ai">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ai</h4>
<pre>private final&nbsp;java.lang.Thread ai</pre>
<div class="block">Thread that the <a href="../../towerwarspp/player/Adv2Player.html#mcts"><code>mcts</code></a> Runnable is executed in.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Adv2Player-long-int-towerwarspp.player.mcts.TreeSelectionStrategy-towerwarspp.player.PlayStrategy-boolean-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Adv2Player</h4>
<pre>public&nbsp;Adv2Player(long&nbsp;timePerMove,
                  int&nbsp;parallelizationFactor,
                  <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts">TreeSelectionStrategy</a>&nbsp;selectionStrategy,
                  <a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player">PlayStrategy</a>&nbsp;playStrategy,
                  boolean&nbsp;fairPlay,
                  double&nbsp;bias)</pre>
<div class="block">Creates a new Adv2Player object with the specified parameters.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>timePerMove</code> - time the AI will spend deciding on a move</dd>
<dd><code>parallelizationFactor</code> - maximum number of Threads used by the AI concurrently</dd>
<dd><code>selectionStrategy</code> - employed <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a></dd>
<dd><code>playStrategy</code> - employed <a href="../../towerwarspp/player/PlayStrategy.html" title="enum in towerwarspp.player"><code>PlayStrategy</code></a></dd>
<dd><code>fairPlay</code> - if set to true, the AI will spend as much time deciding on it's move as the opponent took before it</dd>
<dd><code>bias</code> - bias used used for the UCB1 formulae in the <a href="../../towerwarspp/player/mcts/Mcts.html" title="class in towerwarspp.player.mcts"><code>Mcts</code></a> implementation</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="deliverMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deliverMove</h4>
<pre><a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;deliverMove()</pre>
<div class="block">Returns after the at Player construction specified time per move the best move found so far depending on the set
 <a href="../../towerwarspp/player/mcts/TreeSelectionStrategy.html" title="enum in towerwarspp.player.mcts"><code>TreeSelectionStrategy</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/player/BasePlayer.html#deliverMove--">deliverMove</a></code>&nbsp;in class&nbsp;<code><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>best move so far</dd>
</dl>
</li>
</ul>
<a name="update-towerwarspp.preset.Move-towerwarspp.preset.Status-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>update</h4>
<pre>public&nbsp;void&nbsp;update(<a href="../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;opponentMove,
                   <a href="../../towerwarspp/preset/Status.html" title="enum in towerwarspp.preset">Status</a>&nbsp;boardStatus)
            throws java.lang.Exception</pre>
<div class="block">Calls <a href="../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-"><code>BasePlayer.update(Move, Status)</code></a> and then <a href="../../towerwarspp/player/mcts/Mcts.html#feedEnemyMove-towerwarspp.preset.Move-"><code>Mcts.feedEnemyMove(Move)</code></a> to update the state of the search
 tree.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Player.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../towerwarspp/player/BasePlayer.html#update-towerwarspp.preset.Move-towerwarspp.preset.Status-">update</a></code>&nbsp;in class&nbsp;<code><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>opponentMove</code> - opponent move to place on own board</dd>
<dd><code>boardStatus</code> - opponent board status after move</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if Status is <a href="../../towerwarspp/preset/Status.html#ILLEGAL"><code>Status.ILLEGAL</code></a> or board status are not matched</dd>
</dl>
</li>
</ul>
<a name="init-int-towerwarspp.preset.PlayerColor-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>init</h4>
<pre>public&nbsp;void&nbsp;init(int&nbsp;boardSize,
                 <a href="../../towerwarspp/preset/PlayerColor.html" title="enum in towerwarspp.preset">PlayerColor</a>&nbsp;playerColor)
          throws java.lang.Exception</pre>
<div class="block">Initializes this Player by first calling <a href="../../towerwarspp/player/BasePlayer.html#init-int-towerwarspp.preset.PlayerColor-"><code>BasePlayer.init(int, PlayerColor)</code></a> then <a href="../../towerwarspp/player/mcts/Mcts.html#setInit-towerwarspp.board.Board-"><code>Mcts.setInit(Board)</code></a> to
 notify Mcts algorithm about new game state.
 If the Thread <a href="../../towerwarspp/player/Adv2Player.html#ai"><code>ai</code></a> is not alive, it's started.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../towerwarspp/preset/Player.html#init-int-towerwarspp.preset.PlayerColor-">init</a></code>&nbsp;in interface&nbsp;<code><a href="../../towerwarspp/preset/Player.html" title="interface in towerwarspp.preset">Player</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../towerwarspp/player/BasePlayer.html#init-int-towerwarspp.preset.PlayerColor-">init</a></code>&nbsp;in class&nbsp;<code><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player">BasePlayer</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>boardSize</code> - size to initialize <a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player"><code>BasePlayer</code></a>'s board with.</dd>
<dd><code>playerColor</code> - color of this Player</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.Exception</code> - if boardSize is less than 4 or greater than 26</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Adv2Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../towerwarspp/player/Adv1Player.html" title="class in towerwarspp.player"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../towerwarspp/player/BasePlayer.html" title="class in towerwarspp.player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?towerwarspp/player/Adv2Player.html" target="_top">Frames</a></li>
<li><a href="Adv2Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
